# Jdk

open class Jdk

Represents information for the project Java SDK. This translates to attributes of the ProjectRootManager element in the ipr.

## Constructors

Jdk
Link copied to clipboard
constructor(jdkName: String, ideaLanguageLevel: IdeaLanguageLevel)
constructor(assertKeyword: Boolean, jdk15: Boolean, languageLevel: String, projectJdkName: String)

## Properties

languageLevel
Link copied to clipboard
open var languageLevel: String
projectJdkName
Link copied to clipboard
open var projectJdkName: String

## Functions

equals
Link copied to clipboard
open fun equals(o: Any): Boolean
hashCode
Link copied to clipboard
open fun hashCode(): Int
isAssertKeyword
Link copied to clipboard
open fun isAssertKeyword(): Boolean
isJdk15
Link copied to clipboard
open fun isJdk15(): Boolean
setAssertKeyword
Link copied to clipboard
open fun setAssertKeyword(assertKeyword: Boolean)
setJdk15
Link copied to clipboard
open fun setJdk15(jdk15: Boolean)
toString
Link copied to clipboard
open fun toString(): String